Package com.explodingpixels.widgets

## Class PopupMenuCustomizerUsingActions

- java.lang.Object
- - com.explodingpixels.widgets.PopupMenuCustomizerUsingActions

    public class PopupMenuCustomizerUsingActions
    extends java.lang.Object

### Constructor Summary

Constructors
`PopupMenuCustomizerUsingActions​(java.util.List<javax.swing.Action> actions)`
`PopupMenuCustomizerUsingActions​(javax.swing.Action... actions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `customizePopup​(javax.swing.JPopupMenu popup)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PopupMenuCustomizerUsingActions

    public PopupMenuCustomizerUsingActions​(javax.swing.Action... actions)

#### PopupMenuCustomizerUsingActions

    public PopupMenuCustomizerUsingActions​(java.util.List<javax.swing.Action> actions)

### Method Detail

#### customizePopup

    public void customizePopup​(javax.swing.JPopupMenu popup)